{% extends 'base.html' %}
{% load static %}
{% block app_css %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
  integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
  integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

<link rel="stylesheet" href="{% static 'style.css' %}">
<script src="{% static 'js/home.js' %}"></script>
{% endblock app_css %}

{% block content %}
<div class="jumbotron jumbotron-fluid text-white my-jumbotron d-flex align-items-center">
  <div class="container text-center">
    <h1 class="display-4 judul">Corona Tracker Indonesia</h1>
  </div>
</div>
<div class="container my-container">
  <div class="row d-flex justify-content-center">
    <div class="col-12 col-md-8">
      <div class="card m-2 mt-0 shadow">
        <div class="card-body">
          <div class="d-flex flex-row align-items-center">
            <img src="https://www.flaticon.com/svg/static/icons/svg/939/939651.svg" alt="" width="28px" class="m-1">
            <h4 class="m-1">Indonesia</h4>
          </div>
          <div class="d-flex flex-row pt-3 justify-content-around">
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases confirmed-color">{{dataKasus.confirmed}}</p>
              <p class="my-text-info">Confirmed</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases recovered-color">{{dataKasus.recovered}}</p>
              <p class="my-text-info">Recovered</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases death-color">{{dataKasus.death}}</p>
              <p class="my-text-info">Death</p>
            </div>
          </div>
        </div>
      </div>
    </div>


    <div class="col-12 col-md-8 data-prov">
      <div class="card m-2 shadow">
        <div class="card-body">
          <button  data-toggle="modal" data-target="#provinsi-selector" class="btn d-flex flex-row align-items-center"><img
            src="https://www.flaticon.com/svg/static/icons/svg/149/149769.svg" alt="" width="25 rem" class="m-1"><h4 class="m-1" id = "prov-name">{{ userProv }}</h4></button>
          <div class="d-flex flex-row pt-3 justify-content-around">
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases confirmed-color" id="data-confirmed">{{dataProv.confirmed}}</p>
              <p class="my-text-info">Confirmed</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases recovered-color" id="data-recovered">{{dataProv.recovered}}</p>
              <p class="my-text-info">Recovered</p>
            </div>
            <div class="px-2 text-center">
              <p class="font-weight-bold covid_cases death-color" id="data-death">{{dataProv.death}}</p>
              <p class="my-text-info">Death</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="mt-2">
    <p class="m-0 local-date"><b>Last Update :</b></p>
    <p class="local-date">{{ tanggal|date:"j F Y" }}</p>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="provinsi-selector" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Provinsi</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <select class="custom-select" name="provinsi" id="prov-value">
          {% for provinsi in allProv %}
          <option value="{{provinsi.nama}}">{{provinsi.nama}}</option>
          {% endfor %}
        </select>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" id="prov-location">Save changes</button>
      </div>
    </div>
  </div>
</div>



{% endblock %}